kdecore Library: KSessionManaged Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSessionManaged Class Reference

Provides highlevel access to session management on a per-object base. Highlevel access to session management. More...

`#include <kapplication.h>`

List of all members.

## Public Member Functions
virtual bool | saveState (QSessionManager &sm)
virtual bool | commitData (QSessionManager &sm)
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Provides highlevel access to session management on a per-object base. Highlevel access to session management.

KSessionManaged makes it possible to provide implementations for QApplication::commitData() and QApplication::saveState(), without subclassing KApplication. KMainWindow internally makes use of this.

You don't need to do anything with this class when using KMainWindow. Instead, use KMainWindow::saveProperties(), KMainWindow::readProperties(), KMainWindow::queryClose(), KMainWindow::queryExit() and friends.

Author:
  Matthias Ettrich <ettrich@kde.org>

Definition at line 1424 of file kapplication.h.

## Member Function Documentation

bool KSessionManaged::saveState | ( | QSessionManager & | sm | ) | `[virtual]`

| See QApplication::saveState() for documentation. This function is just a convenience version to avoid subclassing KApplication. Return true to indicate a successful state save or false to indicate a problem and to halt the shutdown process (will implicitly call sm.cancel() ). Definition at line 1070 of file kapplication.cpp.

bool KSessionManaged::commitData | ( | QSessionManager & | sm | ) | `[virtual]`

| See QApplication::commitData() for documentation. This function is just a convenience version to avoid subclassing KApplication. Return true to indicate a successful commit of data or false to indicate a problem and to halt the shutdown process (will implicitly call sm.cancel() ). Definition at line 1075 of file kapplication.cpp.

The documentation for this class was generated from the following files:

- kapplication.h
- kapplication.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:59 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003